Skip to main content
GET
/
customers
/
{customer_id}
/
communications
List Communications
curl --request GET \
  --url https://api.{your-broker}.slate-labs.com/customers/{customer_id}/communications
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "channel": "<string>",
    "direction": "<string>",
    "event_type": "<string>",
    "recipient": "<string>",
    "subject": "<string>",
    "body_preview": "<string>",
    "provider": "<string>",
    "status": "<string>",
    "error_message": "<string>",
    "sent_at": "2023-11-07T05:31:56Z",
    "delivered_at": "2023-11-07T05:31:56Z"
  }
]

Path Parameters

customer_id
string<uuid>
required

Query Parameters

channel
string | null

Filter by channel: email, sms

limit
integer
default:50
Required range: x <= 500

Response

Successful Response

id
string<uuid>
required
customer_id
string<uuid>
required
channel
string
required
direction
string
required
event_type
string | null
required
recipient
string
required
subject
string | null
required
body_preview
string | null
required
provider
string | null
required
status
string
required
error_message
string | null
required
sent_at
string<date-time>
required
delivered_at
string<date-time> | null
required